Name:           csync2
Version:        1.34
Release:        2%{?dist}
Summary:        Cluster sync tool

Group:          System Environment/Base
License:        GPLv2+
URL:            http://oss.linbit.com/csync2
Source0:        http://oss.linbit.com/csync2/csync2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  sqlite2-devel gnutls-devel librsync-devel libgcrypt-devel
BuildRequires:  libtasn1-devel libgpg-error-devel openssl
BuildRequires:  xinetd byacc flex bison

Requires:       xinetd

%description
Csync2 is a cluster synchronization tool. It can be used to keep files on 
multiple hosts in a cluster in sync. Csync2 can handle complex setups with 
much more than just 2 hosts, handle file deletions and can detect conflicts.
It is expedient for HA-clusters, HPC-clusters, COWs and server farms. 

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/csync2
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 csync2.xinetd $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/csync2

%clean
rm -rf $RPM_BUILD_ROOT
make clean

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README NEWS INSTALL TODO AUTHORS
%{_sbindir}/csync2
%{_sbindir}/csync2-compare
%{_var}/lib/csync2
%{_mandir}/man1/csync2.1.gz
%config(noreplace) %{_sysconfdir}/xinetd.d/csync2
%config(noreplace) %{_sysconfdir}/csync2.cfg


%changelog
* Mon Feb 14 2011 Angus Salkeld <asalkeld@redhat.com> - 1.34-2
- remove "make cert" and pem files
- remove modification of /etc/services

* Tue Feb 8 2011 Angus Salkeld <asalkeld@redhat.com> - 1.34-1
- Convert Suse rpm to fedora format.
